इनवॉइस
इनवॉइस बनाएं
एनर्जी डेलिगेशन के लिए पेमेंट इनवॉइस बनाएं
POST
/
api
/
v1
/
invoices
इनवॉइस बनाएं
curl --request POST \
--url https://api.example.com/api/v1/invoices \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"duration_hours": 123
}
'import requests
url = "https://api.example.com/api/v1/invoices"
payload = {
"address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"duration_hours": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<string>',
energy_amount: 123,
transfer_count: 123,
duration_hours: 123
})
};
fetch('https://api.example.com/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice_id": 123,
"payment_address": "<string>",
"price_trx": "<string>",
"price_usdt": "<string>",
"status": "<string>",
"expires_at": "<string>"
}इनवॉइस बनाएं
एक पेमेंट इनवॉइस बनाता है जो एक विशिष्ट डिपॉज़िट एड्रेस जनरेट करता है। जब भुगतान (TRX या USDT) प्राप्त होता है, तो एनर्जी स्वचालित रूप से लक्ष्य एड्रेस को डेलिगेट की जाती है। उन इंटीग्रेशन के लिए उपयोगी जहां अंतिम उपयोगकर्ता सीधे भुगतान करते हैं — अकाउंट बैलेंस की आवश्यकता नहीं।अनुरोध बॉडी
string
आवश्यक
एनर्जी प्राप्त करने वाला लक्ष्य TRON एड्रेस
number
एनर्जी मात्रा (32,000 – 5,000,000)। इसका या
transfer_count का उपयोग करें।number
USDT ट्रांसफर की संख्या (1 – 100)। प्रत्येक ट्रांसफर = 65,000 एनर्जी।
number
आवश्यक
किराए की अवधि (1 या 24 घंटे)
रिस्पॉन्स
number
विशिष्ट इनवॉइस पहचानकर्ता
string
विशिष्ट डिपॉज़िट एड्रेस — यहां TRX या USDT भेजें
string
TRX में मूल्य
string
USDT में मूल्य
string
इनवॉइस स्टेटस:
pending, paid, delegated, expired, failedstring
ISO 8601 समाप्ति टाइमस्टैम्प
उदाहरण
curl -X POST https://api.tronrental.com/v1/invoices \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"address": "TRecipientAddress...",
"transfer_count": 1,
"duration_hours": 1
}'
Response
{
"invoice_id": 789,
"payment_address": "TPaymentAddress...",
"address": "TRecipientAddress...",
"energy_amount": 65000,
"duration_hours": 1,
"price_trx": "2.75",
"price_usdt": "0.64",
"status": "pending",
"expires_at": "2026-03-05T12:30:00Z"
}
यदि कोई भुगतान प्राप्त नहीं होता है तो इनवॉइस 30 मिनट बाद समाप्त हो जाते हैं।
जनरेट किए गए एड्रेस पर TRX और USDT दोनों भुगतान स्वीकार किए जाते हैं।
⌘I
इनवॉइस बनाएं
